org.eclipse.wst.jsdt.ui.actions

## Class FindAction

- java.lang.Object
- - Action
  - - org.eclipse.wst.jsdt.ui.actions.SelectionDispatchAction
    - - org.eclipse.wst.jsdt.ui.actions.FindAction

Direct Known Subclasses:
  FindDeclarationsAction, FindImplementorsAction, FindReferencesAction, WorkingSetFindAction

    public abstract class FindAction
    extends SelectionDispatchAction

Abstract class for JavaScript search actions.

Note: This class is for internal use only. Clients should not use this class.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run(IStructuredSelection selection)` Executes this actions with the given selection.
`void` `run(ITextSelection selection)` Executes this actions with the given selection.
`void` `selectionChanged(IStructuredSelection selection)`
`void` `selectionChanged(ITextSelection selection)`

### Methods inherited from class org.eclipse.wst.jsdt.ui.actions.SelectionDispatchAction

`getSelection, getSelectionProvider, getShell, getSite, run, setSpecialSelectionProvider, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### run

    public void run(IStructuredSelection selection)

Description copied from class: `SelectionDispatchAction`
Executes this actions with the given selection. This default implementation does nothing.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection

#### run

    public void run(ITextSelection selection)

Description copied from class: `SelectionDispatchAction`
Executes this actions with the given selection. This default implementation does nothing.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection

#### selectionChanged

    public void selectionChanged(IStructuredSelection selection)

Overrides:
  `selectionChanged` in class `SelectionDispatchAction`

#### selectionChanged

    public void selectionChanged(ITextSelection selection)

Overrides:
  `selectionChanged` in class `SelectionDispatchAction`